For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • POSTCancel
LogoLogo
BlogLogin
API Referencecrawls

Create

POST
https://api.flockx.io/api/v1/crawls
POST
/api/v1/crawls
$curl -X POST https://api.flockx.io/api/v1/crawls \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "url": "foo"
>}'
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "url": "foo",
6 "scan_depth": 42,
7 "last_scan_date": "foo",
8 "status": "foo",
9 "crawl_stats": {},
10 "crawled_urls": [
11 null
12 ],
13 "website_metadata": {},
14 "error_details": "foo",
15 "is_active": true
16}
Create a new web crawl.
Was this page helpful?
Previous

Detail

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"1-2083 characters
URL of the website to scan
knowledge_graphstring or nullOptionalformat: "uuid"
the id of the knowledge graph
scan_depthintegerOptional1-3Defaults to 1

How deep to crawl. 1 for single page, >1 for recursive

max_pagesintegerOptional1-300Defaults to 50

Maximum number of pages to crawl. Only applies when scan_depth > 1

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
urlstringformat: "uri"1-2083 characters
scan_depthinteger

How deep to crawl. 1 for single page, >1 for recursive

last_scan_datestringformat: "date-time"
statusstring or nullRead-only

Human-readable status label

crawl_statsmap from strings to any
crawled_urlslist of any
website_metadatamap from strings to any
error_detailsstring or null
is_activebooleanDefaults to true

Errors

422
Unprocessable Entity Error